# RPM specfile for libart_lgpl module
# Generated Tue Oct 29 07:53:39 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.4 2001/12/11 20:19:47 jacob Exp $

%define nam	libart_lgpl
%define ver	2.3.10.0.200210290744
%define ximrev	1

Name:     	libart_lgpl
Version: 	2.3.10.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.levien.com/libart/
Source0:	libart_lgpl-2.3.10.tar.gz
Summary:	A library for high-performance 2D graphics
Group:		System Environment/Libraries
Provides:	ximian-libart_lgpl = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
 Libart supports a very powerful imaging model, basically the same
as SVG and the Java 2D API. It includes all PostScript imaging
operations, and adds antialiasing and alpha-transparency.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n libart_lgpl-devel
Summary:	Libart development files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	ximian-libart_lgpl-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libart_lgpl-devel
Static libraries and header files for the libart library.

%files -n libart_lgpl-devel
%defattr(-, root, root)
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/libart-2.0
/usr/bin/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libart_lgpl-2.3.10
    ;;
all)
%setup  -q -n libart_lgpl-2.3.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 2.3.10.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

